Bug 310531 - wpa_supplicant crashes when given a non-existant interface (fix included)
wpa_supplicant crashes when given a non-existant interface (fix included)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 05:36 EDT by Ralf Ertzinger
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 17:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for segfault (1006 bytes, patch)
2007-09-28 05:36 EDT, Ralf Ertzinger
no flags Details | Diff

  None (edit)
Description Ralf Ertzinger 2007-09-28 05:36:33 EDT
Description of problem:
When given an invalid interface name wpa_supplicant segfaults. The attached
patch fixes this.

Version-Release number of selected component (if applicable):
wpa_supplicant-0.5.7-9

How reproducible:
Always

Steps to Reproduce:
1. call wpa_supplicant with a non-existant interface in -i
2.
3.
  
Actual results:
segfault

Expected results:
no segfault

Additional info:
Comment 1 Ralf Ertzinger 2007-09-28 05:36:33 EDT
Created attachment 210111 [details]
Fix for segfault
Comment 2 Ralf Ertzinger 2007-09-28 12:38:10 EDT
Please disregard the first chunk of the patch, that's bogus.

The second chunk still stands and fixes the segfault, though.
Comment 3 Dan Williams 2007-10-09 17:40:53 EDT
will be in 0.5.7-10.f8, thanks!

Note You need to log in before you can comment on or make changes to this bug.